EXECUTE (CREATE TABLE TRADE (
     TRADE_ID             VARCHAR2(32) NOT NULL,
     TRADE_DESC           VARCHAR2(100),
     TRANS_DTTM           DATE,
     TRANS_TYPE_CD        VARCHAR2(3),
     BUY_SELL_FLG         VARCHAR2(1),
     COMMISSION_AMT       NUMBER(18,5),
     DEAL_ID              VARCHAR2(32),
     DUE_BILLS_FLG        VARCHAR2(1),
     UNWIND_MAX_LOSS_AMT  NUMBER(18,5),
     PRINCIPAL_BALANCE_AMT NUMBER(18,5),
     PREM_PAID_PERIOD_AMT NUMBER(18,5),
     SWAP_INFLOW_AMT      NUMBER(18,5),
     SWAP_OUTFLW_AMT      NUMBER(18,5),
     PROFIT_LOSS_AMT      NUMBER(18,5),
     CURRENCY_CD          VARCHAR2(3),
     TRADE_DERIVATIVE_FLG VARCHAR2(1),
     BUY_SELL_UNIT_PRICE_AMT NUMBER(18,5),
     BUY_SELL_UNIT_QTY    NUMBER(6),
     FINANCIAL_POSITION_RK NUMBER(10) NOT NULL,
     PROCESSED_DTTM       DATE,
     PRIMARY KEY (TRADE_ID)
)) BY ORACLE;

